import { extends as _extends } from '../_virtual/next-intl.esm.js';
import { useRouter as useRouter$1 } from 'next/navigation';
import { useMemo } from 'react';
import localizeHref from './next-intl.esm2.js';

function useRouter() {
  var router = useRouter$1();
  return useMemo(function () {
    return _extends({}, router, {
      push: function push(href) {
        return router.push(localizeHref(href));
      },
      replace: function replace(href) {
        return router.replace(localizeHref(href));
      },
      prefetch: function prefetch(href) {
        return router.prefetch(localizeHref(href));
      }
    });
  }, [router]);
}

export { useRouter as default };
//# sourceMappingURL=next-intl.esm.js.map
