import { extends as _extends } from '../_virtual/next-intl.esm.js';
import localizePathname from '../shared/next-intl.esm3.js';
import getCookieLocale from './next-intl.esm3.js';
import hasPathnamePrefixed from './next-intl.esm4.js';

function localizeHref(href, locale) {
  var cookieLocale = getCookieLocale();
  if (!locale) locale = cookieLocale;
  var pathname = window.location.pathname;
  var isSwitchingLocale = locale !== cookieLocale;
  var isPathnamePrefixed = hasPathnamePrefixed(locale, pathname);

  if (isPathnamePrefixed || isSwitchingLocale) {
    var prefixedHref;

    if (typeof href === 'string') {
      prefixedHref = localizePathname(locale, href);
    } else {
      prefixedHref = _extends({}, href);

      if (href.pathname) {
        prefixedHref.pathname = localizePathname(locale, href.pathname);
      }
    }

    return prefixedHref;
  } else {
    return href;
  }
}

export { localizeHref as default };
//# sourceMappingURL=next-intl.esm2.js.map
