import { COOKIE_LOCALE_NAME } from '../shared/next-intl.esm4.js';

function getCookieValueByName(name) {
  // https://stackoverflow.com/a/15724300/343045
  var value = "; " + document.cookie;
  var parts = value.split("; " + name + "=");

  if (parts.length === 2) {
    var _parts$pop;

    var part = (_parts$pop = parts.pop()) == null ? void 0 : _parts$pop.split(';').shift();
    if (part) return part;
  }

  throw new Error("Unable to find next-intl cookie, have you configured the middleware?");
}

function getCookieLocale() {
  return getCookieValueByName(COOKIE_LOCALE_NAME);
}

export { getCookieLocale as default };
//# sourceMappingURL=next-intl.esm3.js.map
