export declare function unlocalizePathname(pathname: string): string;
/**
 * Returns the pathname without a potential locale prefix.
 *
 * Note that on the server side `null` is returned, only on
 * the client side the correct pathname will be returned.
 *
 * This can be helpful e.g. to implement navigation links,
 * where the active link is highlighted.
 */
export default function usePathname(): string | null;
