import { useRouter as useNextRouter } from 'next/navigation';
import { useMemo } from 'react';
import localizeHref from './localizeHref';
export default function useRouter() {
    const router = useNextRouter();
    return useMemo(() => ({
        ...router,
        push(href) {
            return router.push(localizeHref(href));
        },
        replace(href) {
            return router.replace(localizeHref(href));
        },
        prefetch(href) {
            return router.prefetch(localizeHref(href));
        }
    }), [router]);
}
//# sourceMappingURL=useRouter.js.map