/* eslint-disable import/default */
import { cache } from 'react';
import createBaseTranslator, { getMessagesOrError } from 'use-intl/dist/src/core/createBaseTranslator';
import getConfig from './getConfig';
async function getTranslationsImpl(namespace) {
    const config = await getConfig();
    const messagesOrError = getMessagesOrError({
        messages: config.messages,
        namespace,
        onError: config.onError
    });
    // We allow to resolve rich text formatting here, but the types forbid it when
    // `getTranslations` is used directly. Supporting rich text is important when
    // the react-server implementation calls into this function.
    // @ts-ignore
    return createBaseTranslator({
        ...config,
        namespace,
        messagesOrError
    });
}
export default cache(getTranslationsImpl);
//# sourceMappingURL=getTranslations.js.map